import userAppendData from "../data/user";

export default <LibMixins>{

    inject:['triggerChangeGiveUserId'],

    data(){
        return {
            // 选择的数量
            number:1,
            // 赠送的用户
            giveUserValue:undefined
        }
    },

    computed:{
        giveUserNoHave(){
            return this.giveUser && this.giveUser.uid && this.useUserIds.indexOf(this.giveUser.uid) < 0;
        },
        useUserIds(){
          return this.useUserData.map((item)=> item.uid);
        },
        useUserData(){
            return [...this.userData,...userAppendData];
        }
    },

    watch:{
        giveUserValue(){
            this.changeGiveUserTop(this.giveUserValue);
        },
        giveUserId(){
           return this.changeGiveUserValue(this.giveUserId);
        }
    },

    methods:{
        changeGiveUserValue(value){
            if (this.giveUserValue !== value) {
                this.giveUserValue = value;
            }
        },
        changeGiveUserTop(value){
            if (this.giveUser !== value) {
                this.triggerChangeGiveUserId(value);
            }
        }
    }

}
